package mo

import "go.mongodb.org/mongo-driver/mongo/options"

type mongoOption struct{}

func (mongoOption) Find() *FindOptions {
	return options.Find()
}

func (mongoOption) FindOne() *FindOneOptions {
	return options.FindOne()
}

func (mongoOption) FindOneAndUpdate() *FindOneAndUpdateOptions {
	return options.FindOneAndUpdate()
}

func (mongoOption) FindOneAndDelete() *FindOneAndDeleteOptions {
	return options.FindOneAndDelete()
}

func (mongoOption) Aggregate() *AggregateOptions {
	return options.Aggregate()
}

func (mongoOption) Count() *CountOptions {
	return options.Count()
}

func (mongoOption) Update() *UpdateOptions {
	return options.Update()
}

var (
	Options = &mongoOption{}
)
